/// <reference types="jqueryui" />
import { FunctionComponent, HTMLProps } from 'react';
export interface DropAcceptOptions {
    ref: HTMLDivElement;
    onDrop: () => any;
}
export interface DroppableProps extends HTMLProps<HTMLDivElement> {
    dropAccept?: DropAcceptOptions[];
    activeClass?: string;
    addClasses?: boolean;
    classes?: string;
    disabled?: boolean;
    greedy?: boolean;
    hoverClass?: string;
    scope?: string;
    tolerance?: 'intersect' | 'fit' | 'pointer' | 'touch';
    activate?: JQueryUI.DroppableEvent;
    create?: JQueryUI.DroppableEvent;
    deactivate?: JQueryUI.DroppableEvent;
    drop?: JQueryUI.DroppableEvent;
    out?: JQueryUI.DroppableEvent;
    over?: JQueryUI.DroppableEvent;
}
export declare const Droppable: FunctionComponent<DroppableProps>;
